package train.locomotive;

/**
 * Beschreibt eine Lokomotive.
 *
 * @author Owyn
 * @version 2008-06-17
 */
public class Locomotive {
    
    /**
     * Lokl&auml;nge in Metern
     */
    private int length;
    /**
     * Loktyp
     */
    private int type;
    
    /**
     * Erzeugt eine Lok.
     *
     * @param typ Loktyp
     * @param length Lokl&auml;nge
     */
    public Locomotive(int type, int length) {
        this.length = length;
        this.type = type;
    }
    
    /**
     * @return Lokl&auml;nge
     */
    public int getLength() {
        return length;
    }
    
    /**
     * @return Textdarstellung der Lok in der Form &quot;Locomotive Typ X&quot;
     */
    public String toString() {
        return "Locomotive Typ " + type;
    }
    
}
